package com.qmth.teachcloud.task.service;

import com.qmth.distributed.print.business.bean.dto.initMarkData.ExamDetailCourseInitMarkDto;
import com.qmth.teachcloud.common.bean.vo.PaperInfoVo;

import java.util.List;

/**
 * 打印结束后操作服务类
 */
public interface PrintFinishService {

    void insertMarkPaper(Long examId, String courseCode, String courseName, String paperNumber, String coursePaperId, Long userId, String paperType, List<PaperInfoVo> paperInfoVos);

    void insertMarkStudent(ExamDetailCourseInitMarkDto examDetail, String paperType);

    void insertScanAnswerCardAndMarkQuestion(ExamDetailCourseInitMarkDto dto, String paperType);

    void insertScanAnswerCard(ExamDetailCourseInitMarkDto dto, PaperInfoVo paperInfoVo, String content);

    void insertMarkQuestion(Long examId, String paperNumber, String paperType, String content);

    void insertPaperAnswerFile(Long examId, String paperNumber, String paperType, Long paperId);

    void insertMarkPaperPackageCode(ExamDetailCourseInitMarkDto dto, String paperType);
}
